---
- name: create app directory
  file:
    path: "{{alerta_service_directory}}"
    state: directory
  
- name: copy all static files
  synchronize:
    recursive: true
    src: "./" # relative to ./files on local role path
    dest: "{{alerta_service_directory}}" # relative to ~/ on remote

- name: copy templated jinja2 files
  template:
    src: "{{item}}" # relative to ./templates on local role path
    dest: "{{alerta_service_directory}}/{{ item | regex_replace(role_path+'/templates/', '') | regex_replace('\\.j2', '') }}" # relative to ~/ on remote
  with_items: "{{ lookup('pipe','find {{role_path}}/templates/ -type f').split('\n') }}"

- name: set traefik dynamic config
  copy:
    content: "{{ alerta_traefik_dynamic_config | to_nice_yaml(indent=2, width=777) }}"
    dest: "/srv/traefik/conf.d/{{alerta_service_name}}.yaml"

- name: deploy docker-compose stack
  docker_compose:
    project_src: "{{alerta_service_directory}}/"
    # add multiple docker-compose.yaml / .yml files below
    files: "{{item}}"
    # This option ensures that the images are rebuilt
    build: true
  with_items:
    - "docker-compose.yaml"